commit:     6ff027645c5912e8c26419fbdbcb58a7f6ce149b
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  7 22:23:26 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Dec  7 22:57:48 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ff02764

net-print/hplip-plugin: Version bump to 3.20.11

Package-Manager: Portage-3.0.12, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 net-print/hplip-plugin/Manifest                    |  1 +
 net-print/hplip-plugin/hplip-plugin-3.20.11.ebuild | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/net-print/hplip-plugin/Manifest b/net-print/hplip-plugin/Manifest
index 954eb9245e1..25eb4f95ab8 100644
--- a/net-print/hplip-plugin/Manifest
+++ b/net-print/hplip-plugin/Manifest
@@ -1,3 +1,4 @@
 DIST hplip-3.19.12-plugin.run 11512079 BLAKE2B 
534cbba51b2254f8227611b8f0449e100361fb445400f664e43e30412be8eb554bb35c2fe260d45cd5ad742b083af6d551532a9d14585029b0ff93675fab578a
 SHA512 
ac2022d555f5084d5bf1e4519ddbb29828e9ca385aa6dff818ae9e79b60b4b2745e31ad4146cb01bca3747fae0d61b96e4a823b81179d2e2c55a643831165e4b
+DIST hplip-3.20.11-plugin.run 11514293 BLAKE2B 
b3b7698a45e5e68a25ec1216e736484d26546b657f4a519a153acf0280847667e7ca81afc988f722668746281857d51d9e1703857514ffe5b57dea85f2bae4d3
 SHA512 
9075c1ac8e8f6e12d33b81b633025259f54352ea00271eec07ee898fd9a164445519608fc9ea61a7157845a4a03f87c28f486c7994f0d7db81d11d3fe51f1876
 DIST hplip-3.20.6-plugin.run 11514108 BLAKE2B 
83e2d26fb397c5c5df1fc4371bfc2798cea049965499b6f1ad5daa05b44b74f51ba9deb933b564dfa47a8d0ef79d4921c3a96b9531730317742e1c5651d7b012
 SHA512 
6f9e5c92e302f4068abbe9134cf7f8081fcbe98568c9b75d6a668843b76c83afd0f4fbb3d90d3ac775c719ab8e2dca5beedd887ef6d072bd8ee0eb48d42521ed
 DIST hplip-3.20.9-plugin.run 11515336 BLAKE2B 
27686828374675412ae82a0a5be121c87dbd9ed3adb8d5f30e2f946e315140a5641fdbc60d7f952323060de7fb7bce77b21f19e0d07aa0c5c36e898732030b8b
 SHA512 
bbb5c5768c0f1e88f960f9decff65d70942bc40d8f0443fa2e1c0507895e2e6ba7bc8e0fbec5a74b335787ac45bd3c34cf6bc4d5e544ce7c2ef0965e074a440a

diff --git a/net-print/hplip-plugin/hplip-plugin-3.20.11.ebuild 
b/net-print/hplip-plugin/hplip-plugin-3.20.11.ebuild
new file mode 100644
index 00000000000..fa8335f3ab1
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.20.11.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing/plugins";
+SRC_URI="https://developers.hp.com/sites/default/files/hplip-${PV}-plugin.run";
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="orblite"
+
+RDEPEND="
+       ~net-print/hplip-${PV}
+       virtual/udev
+       orblite? (
+               media-gfx/sane-backends
+               >=sys-libs/glibc-2.26
+               virtual/libusb:0
+       )
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PREBUILT="${HPLIP_HOME}/*.so"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_install() {
+       local hplip_arch
+       case "${ARCH}" in
+               amd64) hplip_arch="x86_64" ;;
+               arm)   hplip_arch="arm32"  ;;
+               x86)   hplip_arch="x86_32" ;;
+               *)     die "Unsupported architecture." ;;
+       esac
+
+       insinto "${HPLIP_HOME}"/data/firmware
+       doins *.fw.gz
+
+       for plugin in *-${hplip_arch}.so; do
+               local plugin_type=prnt
+               case "${plugin}" in
+                       bb_orblite-*)
+                               use orblite || continue
+                               plugin_type=scan ;;
+                       bb_*)
+                               plugin_type=scan ;;
+                       fax_*)
+                               plugin_type=fax ;;
+               esac
+
+               exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+               newexe ${plugin} ${plugin/-${hplip_arch}}
+       done
+
+       insinto /var/lib/hp
+       newins - hplip.state <<-_EOF_
+               [plugin]
+               installed = 1
+               eula = 1
+               version = ${PV}
+       _EOF_
+}

Reply via email to